## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Interface IDBContext

All Known Implementing Classes:
  ConnectionContext

    public interface IDBContext

Copyright International Business Machines Corporation 2001. All rights reserved.

Method Summary
`boolean` `canConnect()`
`void` `connect()`
`void` `executeStatement(java.lang.String statement)`
`void` `executeStatements(java.lang.String[] statements)`
`java.lang.String` `getDatabaseName()`
`SQLBuilderDBProposalsService` `getDBProposalsService()` Gets the DB proposals service associated with this database context.
`SQLDomainModel` `getDomainModel()` Gets the domain model for the current SQL statement.
`java.lang.String[]` `getQualifiedColumnNames()`
`java.lang.String[]` `getQualifiedTableNames()`
`java.lang.String[]` `getSchemaTableNames(java.lang.String tableName)`
`java.lang.String[]` `getSchemataNames()`
`java.lang.String[]` `getTableColumnNames(java.lang.String tableName)`
`boolean` `isConnected()`

Method Detail

### canConnect

    boolean canConnect()

  Returns:
    boolean

### connect

    void connect()

### executeStatement

    void executeStatement(java.lang.String statement)

  Parameters:
    `statement` - java.lang.String

### executeStatements

    void executeStatements(java.lang.String[] statements)

  Parameters:
    `statements` - java.lang.String[]

### getDatabaseName

    java.lang.String getDatabaseName()

  Returns:
    java.lang.String

### getQualifiedColumnNames

    java.lang.String[] getQualifiedColumnNames()

  Returns:
    java.lang.String[]

### getQualifiedTableNames

    java.lang.String[] getQualifiedTableNames()

  Returns:
    java.lang.String[]

### getSchemaTableNames

    java.lang.String[] getSchemaTableNames(java.lang.String tableName)

  Returns:
    java.lang.String[]

### getSchemataNames

    java.lang.String[] getSchemataNames()

  Returns:
    java.lang.String[]

### getTableColumnNames

    java.lang.String[] getTableColumnNames(java.lang.String tableName)

  Parameters:
    `tableName` - java.lang.String
  Returns:
    java.lang.String[]

### isConnected

    boolean isConnected()

  Returns:
    boolean

### getDBProposalsService

    SQLBuilderDBProposalsService getDBProposalsService()

  Gets the DB proposals service associated with this database context.

  Returns:
    the SQLDBProposalsService object

### getDomainModel

    SQLDomainModel getDomainModel()

  Gets the domain model for the current SQL statement. The domain model contains the connection info, current statement model, and much more.

  Returns:
    the statement domain model